Bug 22694 - submission of new FAQ text on fixing broken startup files
Summary: submission of new FAQ text on fixing broken startup files
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Books & Articles (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-08 16:00 UTC by Lowell Gilbert
Modified: 2000-11-15 14:40 UTC (History)
0 users

See Also:


Attachments
file.diff (850 bytes, patch)
2000-11-08 16:00 UTC, Lowell Gilbert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lowell Gilbert 2000-11-08 16:00:01 UTC
For people who *read* the FAQ, this is trivial.  
However, people who *search* the FAQ will probably find it helpful.

How-To-Repeat: 
This gets asked regularly these days.
Comment 1 ben freebsd_committer 2000-11-11 20:31:17 UTC
lowell@world.std.com wrote:

> +         <question id="mangled-startup-files">
> +           <para>I made a mistake in my startup files, and now the box
> + 	    won't boot: how do I fix my mistake?</para>
> +         </question><answer>
> + 
> +           <para>See the
> + 	    <link linkend="forgot-root-pw">previous question</link>,
> + 	    except edit the startup file in question instead of doing
> + 	    <command>passwd root</command>.</para>
> + 
> +         </answer>

Isn't the "I made a mistake in rc.conf, and now I can't edit it because
the filesystem is read-only. What should I do?" question good enough?

-- 
Ben Smithurst / ben@FreeBSD.org / PGP: 0x99392F7D
Comment 2 Lowell Gilbert 2000-11-13 00:06:49 UTC
Ben Smithurst <ben@FreeBSD.org> writes:

> lowell@world.std.com wrote:
> 
> > +         <question id="mangled-startup-files">
> > +           <para>I made a mistake in my startup files, and now the box
> > + 	    won't boot: how do I fix my mistake?</para>
> > +         </question><answer>
> > + 
> > +           <para>See the
> > + 	    <link linkend="forgot-root-pw">previous question</link>,
> > + 	    except edit the startup file in question instead of doing
> > + 	    <command>passwd root</command>.</para>
> > + 
> > +         </answer>
> 
> Isn't the "I made a mistake in rc.conf, and now I can't edit it because
> the filesystem is read-only. What should I do?" question good enough?

One would think.

[Two possible translations: either I'm annoyed that so many people
manage to miss that question, or I had missed it myself.  Note that
those are *not* mutually exclusive.]

Please go ahead and close the PR, although adding "or other startup
files" to the question in, um, question, might be a good idea.

 - Lowell
Comment 3 ben freebsd_committer 2000-11-15 14:27:13 UTC
State Changed
From-To: open->closed

Suggested text added to existing question.
Comment 4 csxbcs 2000-11-15 14:29:08 UTC
Lowell Gilbert wrote:

> [Two possible translations: either I'm annoyed that so many people
> manage to miss that question, or I had missed it myself.  Note that
> those are *not* mutually exclusive.]
> 
> Please go ahead and close the PR, although adding "or other startup
> files" to the question in, um, question, might be a good idea.

Done.

-- 
Ben Smithurst / csxbcs@comp.leeds.ac.uk / ben@FreeBSD.org